=== debian/changelog ===
libhdf4 (4.2.16-4build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:02:19 +0000

libhdf4 (4.2.16-4) unstable; urgency=medium

  * Team upload.
  * Use execute_{before,after} instead of override in rules file.
  * Enable Salsa CI.
  * Apply Multi-Arch patch by Yuriy M. Kaminskiy.
    (closes: #1063999)
  * Add libtirpc-dev to build dependencies.
    (closes: #1065290)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Mar 2024 12:50:52 +0100

libhdf4 (4.2.16-3) unstable; urgency=medium

  * Team upload.
  * Fix dfi.h by reinstating APOLLO #ifdef.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Jun 2023 22:44:59 +0200

libhdf4 (4.2.16-2) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compat to 13.
  * Add patch to fix dfi.h include.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Jun 2023 20:53:51 +0200

libhdf4 (4.2.16-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 13:26:43 +0200

libhdf4 (4.2.16-1~exp2) experimental; urgency=medium

  * Team upload.
  * Ignore test failures on ppc64el.
  * Don't hardcode RELEASE in rules.
  * Restore kfreebsd patch to fix 'unknown host' configure error.
  * Update upstream metadata for GitHub repo.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 09 Mar 2023 20:21:38 +0100

libhdf4 (4.2.16-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    (closes: #1025745)
  * Bump Standards-Version to 4.6.2, no changes.
  * Update copyright file.
  * Refresh patches.
  * Update symbols for 4.2.16.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Mar 2023 18:47:19 +0100
